DKPDoor Knock Pro Docs
Webhooks

Update endpoint or rotate its signing secret

PATCH
/v1/webhooks/{id}

Authorization

X-Api-Key<token>

Company API key (format: dkp_...). Required on every request.

In: header

AuthorizationRequiredBearer <token>

In: header

Request Body

application/jsonRequired
urlRequiredstring
Maximum length: 2048Format: "uri"
descriptionstring
eventsRequiredarray<string>
headersobject
is_activeboolean
rotate_secretboolean

Path Parameters

idRequiredinteger
curl -X PATCH "https://app.doorknockpro.com/api/v1/webhooks/0" \
  -H "X-Api-Key: <token>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "http://example.com",
    "description": "string",
    "events": [
      "lead.created"
    ],
    "headers": {
      "property1": "string",
      "property2": "string"
    },
    "is_active": true,
    "rotate_secret": true
  }'

OK

{
  "data": {
    "id": 0,
    "url": "string",
    "description": "string",
    "events": [
      "string"
    ],
    "headers": {
      "property1": "string",
      "property2": "string"
    },
    "is_active": true,
    "consecutive_failures": 0,
    "last_success_at": "2019-08-24T14:15:22Z",
    "last_failure_at": "2019-08-24T14:15:22Z",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}